Subject: Re: [bug] Possible Windows 'git mv' bug

From: Johannes Sixt <[email-masked]>
Date: Sun, 31 Jan 2016 15:50:40 +0100

Am 31.01.2016 um 15:03 schrieb Aaron Gray:
> Hi,
>
> I think I have found a possible difference in behaviour between
> Windows git commandline distro and Linux git
>
> basically If I do a :-
>
>      git mv logger.h Logger.h
>
> I get the following :-
>
>      fatal: destination exists, source=lib/logger.h, destination=lib/Logger.h
>
> It looks and smells like a bug to me !

Not really. When you attempt to overwrite an existing file with 'git 
mv', you get this error message on both Windows and Linux.

The difference is that logger.h and Logger.h are the same file on 
Windows, but they are not on Linux. Hence, when you attempt to overwrite 
Logger.h on Windows, you see the error because it exists already (as 
logger.h).

As a work-around, you can use -f.

-- Hannes